check out specific version of yosys needed for ls180 build
[dev-env-setup.git] / pia-install
1 #!/bin/bash
2 if ! command -v rustup &> /dev/null
3 then
4 echo -e "Rustup could not be found, it can be installed by running the following command: curl --proto \047=https\047 --tlsv1.2 -sSf https://sh.rustup.rs | sh"
5 exit
6 fi
7 cd /home/$USER/src
8 rustup default stable
9 rustup update
10 cargo install maturin
11 git clone https://salsa.debian.org/Kazan-team/power-instruction-analyzer.git pia
12 cd pia
13 maturin build --cargo-extra-args=--features=python-extension
14 python3 -m pip install --user target/wheels/*.whl